Application: gvSIG desktop - gvSIG bugs #4309
Varios plugins instalados no se localizan en la version portable
08/05/2016 10:24 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Add-ons

Target version: 2.3.0-2442 (rev. org.gvsig.desktop-2.0.140)

Severity: Major Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2441 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

En la versién portable (probado en la de Ubuntu 16.04) aunque aparece como instalado el plugin de Autodeteccion de alturas en el

administrador de complementos, no aparece por ningin lado.
Igual ocurre con el CSV Wizard.

Associated revisions

Revision 42934 - 08/21/2016 05:07 PM - Joaquin del Cerro Murciano

refs #4309, anadido soporte en el script de generacion de las portables para manejar addons de tipo script.

Revision 42935 - 08/21/2016 05:10 PM - Joaquin del Cerro Murciano

refs #4309, anadido soporte en el script de generacion de las portables para manejar addons de tipo script.

Revision 42946 - 08/22/2016 07:04 PM - Joaquin del Cerro Murciano

refs #4309, #4308, correcciones en la generacion de las portables, soporte para Mac y addons de scripts

Revision 42947 - 08/22/2016 07:05 PM - Joaquin del Cerro Murciano

refs #4309, #4308, correcciones en la generacion de las portables, soporte para Mac y addons de scripts

History

#1 - 08/05/2016 12:00 PM - Oscar Martinez

Ocurre lo mismo en Windows 10.

Las extensiones aparecen en:
gvSIG-desktop-2.3.0-2441-RC2-win-x86_64\gvSIG\extensiones

- AutodeteccionDeAlturas
- CSVWizard

#2 - 08/05/2016 03:38 PM - Antonio Falciano

...and also "Scripting Composer Tools". Instead, they should be located in

gvSIG-desktop-2.3.0-2441-RC2-win-x86_64\home\gvSIG\plugins\org.gvsig.scripting.app.mainplugin\scripts\addons.

#3 - 08/21/2016 05:09 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2442 (rev. org.gvsig.desktop-2.0.149)
- Status changed from New to Fixed

El script de generacion de portables no tenia en cuenta que pudiesen haber paquetes de tipo "script” y cuando se los encontraba los procesaba como
si fuesen de tipo plugin por eso iban a parar a la carpeta "gvSIG/extensiones".

#4 - 08/23/2016 02:00 PM - Alvaro Anguix

- Status changed from Fixed to Closed
